# frozen_string_literal: true

module Hermes
  # Lessor serializer
  class LessorObjectiveSerializer < Hermes::ApplicationSerializer
    attributes %i[
      activation_date
      department
      district
      threshold_type
      priority_public
      never_inhabited
      present_typologies
      lessor_id
      agency_id
      agency_name
      operation_name
    ]

    attribute :target_by_typologies, key_transformation: :unaltered
    attribute :realized_by_typologies, key_transformation: :unaltered
    attribute :objective_difference_by_typologies, key_transformation: :unaltered

    type 'lessor_objectives'

    def lessor_id
      object.lessor_id&.to_s
    end

    def agency_id
      object.agency_id&.to_s
    end

    def agency_name
      object.agency&.title
    end
    
  end
end
